Bug 828790 - default cipher suite is always used
default cipher suite is always used
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
17
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 07:44 EDT by Jan Vcelak
Modified: 2013-03-03 20:30 EST (History)
6 users (show)

See Also:
Fixed In Version: openldap-2.4.31-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 822979
Environment:
Last Closed: 2012-07-17 13:21:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Vcelak 2012-06-05 07:44:13 EDT
OpenLDAP always uses default cipher suite, no matter how olcTLSCipherSuite (server) or TLS_CIPHER_SUITE (client) is set.

+++ This bug was initially created as a clone of Bug #822979 +++

...

--- Additional comment from jvcelak@redhat.com on 2012-06-05 11:23:48 CEST ---

Someone has already submitted the patch upstream:
http://www.openldap.org/its/index.cgi?findid=7285

--- Additional comment from jvcelak@redhat.com on 2012-06-05 13:40:44 CEST ---

Upstream commit:
http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=commit;h=2c2bb2e
Comment 1 Jan Vcelak 2012-06-27 09:11:46 EDT
Resolved in openldap-2.4.31-3.fc17
Comment 2 Fedora Update System 2012-06-27 09:16:55 EDT
openldap-2.4.31-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openldap-2.4.31-3.fc17
Comment 3 Fedora Update System 2012-06-27 12:06:25 EDT
openldap-2.4.26-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openldap-2.4.26-8.fc16
Comment 4 Fedora Update System 2012-06-27 23:32:52 EDT
Package openldap-2.4.31-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openldap-2.4.31-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10000/openldap-2.4.31-3.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-17 13:21:40 EDT
openldap-2.4.31-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-07-17 13:26:39 EDT
openldap-2.4.26-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.